Devbox User Guide
========

Devbox is a virtual machine based on Ubuntu 16.04, it had installed some development software for user to develop cloud foundry apps.This document list how to call these software.
 
Default root account: appdev/appdev
 
Language and package tool
-------------
 
Python 2 & 3:

- python (-h)
- python3 (-h)
 
Pip 9.0.1:

- pip
 
Ruby 2.3.1 & Rubygem 2.5.1:

- ruby (-h)
- gem
 
Java 1.8.0_121:

- java
 
Node.js 4.2.6:

- node (-h)
 
R 3.4.0:

- R (-h)
 
 
Database
--------
 
MongoDB 3.4.4:

    sudo service mongod start
    mongo (-h)
 
Postgresql 9.6:

    sudo su - postgres
    help
     
    psql
    help
 
Common tool
--------
 
Git 2.7.4:

- git
 
wget 1.17.1:

- wget --help
 
Cloud Foundry CLI 6.26.0:

- cf
 
UAAC 3.10.0:

- uaac
 
Chromium 58.0:

- chromium-browser
 
Postman:

- chromium-browser http://chrome.google.com/webstore/detail/postman/fhbjgbiflinjbdggehcddcbncdddomop
 
- Click “Launch app” on webpage


Maven 3.3.9:

- mvn -h
 
Tomcat 8.5.14:

- <code>chromium-browser http://<i></i>localhost:8080</code>
 
Rabbitmq 3.5.7:

- rabbitmqctl
 
Freeboard:

- Freeboard file is on /opt/freeboard/
 
- chromium-browser /opt/freeboard/index.html
 
Node red 0.16.2:

- node-red (-h)
 
- <code>chromium-browser http://<i></i>127.0.0.1:1880/</code>
 
IDE
-----
 
Eclipse 3.8.1:

- eclipse
 
Netbeans 8.2:

- /usr/local/netbeans-8.2/bin/netbeans
 
IntelliJ IDEA 2017.1.1:

- sudo /usr/local/bin/idea
 
 
VScode 1.12.1:

- code
 
 