SCADA API Sample Code Quick Guide
=============

Introduction  
------------

Sample Code 使用方式: 本範例採用node.js開發,需搭配相關node module  

需取得User ID以及App ID,並更改您所需的API URL,以及相關參數 (sample code 僅提供範例)   


取得SSO參數   
------------
1.請到SSO Portal 註冊   
![](../uploads/images/SCADAFieldData/Fig23.png)  

2.到SSO manage Users 頁面取得User ID   
![](../uploads/images/SCADAFieldData/Fig24.png)  

3.到SSO manage Apps 頁面,建立APP, Type 請選擇Native   
![](../uploads/images/SCADAFieldData/Fig25.png)  

4.取得App ID   
![](../uploads/images/SCADAFieldData/Fig26.png)  


使用API Sample Code   
--------------

1.先開啟命令提示字元,到SCADASampleCode資料夾   

![](../uploads/images/SCADASampleCode/01.png)  

![](../uploads/images/SCADASampleCode/02.png)  

2.執行Sample Code,輸入下列參數  

node SSO { Sample Code Variable ,空白代表預設ScadaAllInfoUrl }   

![](../uploads/images/SCADASampleCode/03.png)  

![](../uploads/images/SCADASampleCode/04.png)  

The list of sample code variables: 
![](../uploads/images/SCADASampleCode/05.png)  


API使用流程   
--------------

1.使用 SSO token API取得access token, refresh token   

2.將Access token 放到Request Header,使用EI-PaaS SCADA API   

3.如果超過1小時, access token 會失效, 須將refresh token 帶入request body,使用SSO refresh token API,重新獲得 access token, 此時可再重複步驟2,使用EI-PaaS API   



