EI-PaaS SCADA Portal User Guide
=============

What is SCADA?
------------

SCADA (Supervisory Control And Data Acquisition) is an automation management system of software and hardware elements for providing data acquisition, integration, analytics, and visualization technology in IoT.

The functionality of SCADA
---------------

EI-PaaS SCADA consists of three parts: cloud manager, dashboard editor, and dashboard viewer.

![](../uploads/images/SCADA/01.jpg)

SCADA-Cloud Manager
------------------

There are three layers in SCADA Cloud Manager: the SCADA node layer, the device layer, and the tag layer.

![](../uploads/images/SCADA/02.jpg)

SCADA-Dashboard
--------------

The architecture of SCADA-Dashboard as follows.

![](../uploads/images/SCADA/03.jpg)

How to use EI-PaaS SCADA?
--------------

**General Usage-Flow**

![](../uploads/images/SCADA/04.jpg)

- Sign up for EI-PaaS SCADA
- Sign In for EI-PaaS SCADA Cloud Portal
- SCADA Cloud Manager or Dashboard

**Sign Up**

Sign up for EI-PaaS SCADA

![](../uploads/images/SCADA/05.jpg)

Please sing up the account information on Single Sign-on system.

**Sign In**

Sign in EI-PaaS SCADA Portal

![](../uploads/images/SCADA/06.jpg)

Single Sign-on system: EI-PaaS SCADA utilizes Single Sign-on system, please click sign in.

**SCADA Menu Page**

The links of Cloud Manager or Dashboard are included in the menu page

![](../uploads/images/SCADA/07.jpg)

Direct to the Cloud Manager or Dashboard page by clicking "->" button

EI-PaaS SCADA Device Management
----------------

Direct to the Cloud Manager page by clicking "->" button

![](../uploads/images/SCADA/08.jpg)

The default page is the device manager page, or choose the "Device Manage" item from Device drop-down list

![](../uploads/images/SCADA/09.jpg)

The SCADA list display on the cloud manager page

![](../uploads/images/SCADA/10.jpg)

EI-PaaS SCADA Device Management-SCADA
--------------------

![](../uploads/images/SCADA/11.jpg)

- Model: SCADA type (ex: WebAccess SCADA)
- The status of SCADA: "●" (Green is online, Gray is off-line)
- Direct to the device list page: Click the ">" button
- View SCADA information: Click the "..." button 

![](../uploads/images/SCADA/12.jpg)

EI-PaaS SCADA Device Management-Device
-------------------

![](../uploads/images/SCADA/13.jpg)

- Model: device type (ex: WebAccess SCADA Device)
- Direct to the tag list page: Click the ">" button
- View device information: Click the "..." button

![](../uploads/images/SCADA/14.jpg)

EI-PaaS SCADA Device Management-Tag
--------------

![](../uploads/images/SCADA/15.jpg)

- Type: The type of tag (Analog/Discrete/Text)
- Unit: The engineering unit of Tag (ex:%)
- View tag information: Click the "..." button

EI-PaaS SCADA-Dashboard Viewer and Dashboard Editor
-----------

![](../uploads/images/SCADA/16.jpg)


Dashboard Viewer
![](../uploads/images/SCADA/17.jpg)

Dashboard Editor

![](../uploads/images/SCADA/18.jpg)


