# EI-PaaS Documentation

<!--
  -- Default theme
  -->

[gimmick:theme](flatly)

<!--
  Navigation
  -->

[Platform]()

  * [Quick Start](index.md)	
  * [EI-PaaS Introduction](ei-paas.md)
  * [Single Sign-On Tutorial](sso-tutorial.md)
  
 - - - -
  * # ManagementPortal
  * [User Guide](documents/ManagementPortal/userguide.md)
 - - - -
  * # EI-PaaS Agent
  * [EI-Agent](documents/EI-Agent/ei-agent.md)
  * [Handshake Protocol](documents/EI-Agent/handshake-protocol.md)
  * [Sample Client](documents/EI-Agent/sample-client.md)
 - - - -
  * # CloudFoundryCLI
  * [User Guide](documents/CloudFoundryCLI/userguide.md) 
 - - - -
  * # LocalDevelopment
  * [Installation Guide](documents/LocalDevelopment/installation.md) 

[Service]()

  * # Common Data Service
  * [API](apidoc/Common/api.md)	
 - - - -
  * # IoTHub
  * [User Guide](documents/IoTHub/userguide.md)	
 - - - - 
  * # SSO
  * [User Guide](documents/SSO/userguide.md)
  * [API](apidoc/SSO/api.md)
 - - - -
  * # DevBox	
  * [Installation Guide](documents/DevBox/installation.md)
  * [User Guide](documents/DevBox/userguide.md)
 - - - - 
  * # IoTApp
  * [User Guide](documents/IoTApp/userguide.md)	
 - - - - 
  * # EI-Dashboard
  * [User Guide](documents/EI-Dashboard/userguide.md)	
  * [Widget Customization](documents/EI-Dashboard/customizedwidget.md)
 - - - - 
  * # Node-RED
  * [User Guide](documents/Node-RED/userguide.md)		

[Solution Package]()

  * # RMM
  * [User Guide](documents/RMM/userguide.md)
  * [API](apidoc/RMM/api.md)
  * [RMM Agent](documents/RMM/rmm-agent.md)
 - - - - 
  * # SCADA
  * [User Guide](documents/SCADA/userguide.md)
  * [Field Data Guide](documents/SCADA/fielddataguide.md)
  * [Sample Code Quick Guide](documents/SCADA/samplecodeguide.md)
  * [API](apidoc/SCADA/api.md)
 - - - - 
  * # CondorDM
  * [User Guide](documents/CondorDM/userguide.md)	  
  * [API](apidoc/CondorDM/api.md)
 - - - - 
  * # Analytic
  * [Kalman Filter API](apidoc/Analytics/KalmanFilter/api.md)
 - - - - 
  * # VCM
  * [User Guide](documents/VCM/userguide.md)
  * [API](apidoc/VCM/api.md)
  * [AdvStreamingService API](apidoc/VCM/api_AdvStreamingService.md)
- - - - 
  * # FoodCourt
  * [User Guide](documents/FoodCourt/userguide.md)
	

<!--
  -- Change the Language
  -- Could be useful when there's more than one language wiki.
  -->

[gimmick:themechooser](Choose Theme)

